- entry_type: "violation_sequence"
  metadata:
    format_version: "2.0"
    uuid: 09d7b7b8-8a85-4138-9b87-96b4b68bdd34
    creation_time: "2024-04-29T13:13:07+02:00"
    producer:
      name: "Paulina"
      version: "thesis"
    task:
      input_files:
      - "for.c"
      input_file_hashes:
        for.c: 280ec3ea0cbcc0e0274f36fa5cf2a6e685b1506f52315d0472803a520b4a7636
      specification: "G ! call(reach_error())"
      data_model: "LP64"
      language: "C"
  content:
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "for.c"
          line: 18
  - segment:
    - waypoint:
        type: "branching"
        action: "avoid"
        constraint:
          value: "false"
        location:
          file_name: "for.c"
          line: 20
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "false"
        location:
          file_name: "for.c"
          line: 24
  - segment:
    - waypoint:
        type: "function_return"
        action: "follow"
        constraint:
          value: "\\result == 20"
          format: "acsl_expression"
        location:
          file_name: "for.c"
          line: 27
  - segment:
    - waypoint:
        type: "target"
        action: "follow"
        location:
          file_name: "for.c"
          line: 25

